Bug 114970 - [PATCH] halt man page doesn't state root password is not needed for local users
Summary: [PATCH] halt man page doesn't state root password is not needed for local users
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-04 23:18 UTC by Leonard den Ottolander
Modified: 2014-03-17 02:41 UTC (History)
2 users (show)

Fixed In Version: 2.86-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 20:12:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
halt man page patch (same as in comment) (340 bytes, patch)
2004-02-04 23:19 UTC, Leonard den Ottolander
no flags Details | Diff
Improved version of the previous patch (374 bytes, patch)
2004-02-04 23:38 UTC, Leonard den Ottolander
no flags Details | Diff

Description Leonard den Ottolander 2004-02-04 23:18:47 UTC
SysVinit-2.85-5 and before

The man page for halt states that the root password is needed to
shutdown or reboot the system. As this is the case for users that are
logged in locally a comment in that direction should be added to the
man page.

--- halt.8.000	2003-09-23 06:07:38.000000000 +0200
+++ halt.8	2004-02-04 23:59:57.000000000 +0100
@@ -69,6 +69,7 @@
 .\"{{{  Diagnostics
 .SH DIAGNOSTICS
 If you're not the superuser, you will get the message `must be
superuser'.
+Local users can \fBhalt\fP the system without supplying the root
password.
 .\"}}}
 .\"{{{  Notes
 .SH NOTES

Comment 1 Leonard den Ottolander 2004-02-04 23:19:41 UTC
Created attachment 97475 [details]
halt man page patch (same as in comment)

Comment 2 Leonard den Ottolander 2004-02-04 23:38:10 UTC
Created attachment 97478 [details]
Improved version of the previous patch

Comment 3 Leonard den Ottolander 2004-02-04 23:40:04 UTC
--- halt.8.000	2003-09-23 06:07:38.000000000 +0200
+++ halt.8	2004-02-05 00:35:17.000000000 +0100
@@ -69,6 +69,8 @@
 .\"{{{  Diagnostics
 .SH DIAGNOSTICS
 If you're not the superuser, you will get the message `must be
superuser'.
+Local users can \fBhalt\fP, \fBreboot\fP and \fBpoweroff\fP the
system without
+supplying the root password.
 .\"}}}
 .\"{{{  Notes
 .SH NOTES


Comment 4 Leonard den Ottolander 2004-02-04 23:43:56 UTC
Second patch obsoletes first one.

Comment 5 Bill Nottingham 2005-12-20 20:12:53 UTC
Modified version added in 2.86-1.

Comment 6 David Lawrence 2007-06-22 02:10:57 UTC
Package name is now sysvinit in Fedora.


Note You need to log in before you can comment on or make changes to this bug.